If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Please purge several 36.0.4 locations from CDN caches

RESOLVED FIXED

Status

Infrastructure & Operations Graveyard
WebOps: Product Delivery
RESOLVED FIXED
3 years ago
a year ago

People

(Reporter: catlee, Assigned: w0ts0n)

Tracking

Details

(Whiteboard: [kanban:https://webops.kanbanize.com/ctrl_board/2/802] )

(Reporter)

Description

3 years ago
See https://mana.mozilla.org/wiki/display/websites/Purge+CDN+Instructions

Note that we're downloading these via download-installer.cdn.mozilla.net, not download.cdn.mozilla.net as the instructions mention.

Updated

3 years ago
Whiteboard: [kanban:https://webops.kanbanize.com/ctrl_board/2/802]
Also:
/pub/firefox/releases/36.0.4/mac/ko/firefox-36.0.4.tar.bz2
/pub/firefox/releases/36.0.4/win32/da/Firefox%20Setup%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/gl/Firefox%20Setup%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/bn-BD/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/bs/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/en-ZA/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/gu-IN/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/mai/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/si/Firefox%20Setup%20Stub%2036.0.4.exe

Checking updates on download.cdn.mozilla.net now ...
Another on download-origin-installer:
/pub/firefox/releases/36.0.4/win32/or/Firefox%20Setup%20Stub%2036.0.4.exe

Updates on download-origin are fine from here.
(In reply to Nick Thomas [:nthomas] from comment #1)
> /pub/firefox/releases/36.0.4/mac/ko/firefox-36.0.4.tar.bz2

Make that
/firefox/releases/36.0.4/mac/ko/Firefox%2036.0.4.dmg
Since I'm making a fine mess of comments, here is a complete list of affected paths:

/pub/firefox/releases/36.0.4/linux-i686/fr/firefox-36.0.4.tar.bz2
/pub/firefox/releases/36.0.4/mac/ko/Firefox%2036.0.4.dmg
/pub/firefox/releases/36.0.4/win32/da/Firefox%20Setup%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/gl/Firefox%20Setup%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/bn-BD/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/bs/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/en-ZA/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/gu-IN/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/mai/Firefox%20Setup%20Stub%2036.0.4.exe
/pub/firefox/releases/36.0.4/win32/si/Firefox%20Setup%20Stub%2036.0.4.exe

All on https://download-installer.cdn.mozilla.net. DNS says that's only Edgecast (ie not using Cedexis).
Summary: Please purge /pub/firefox/releases/36.0.4/linux-i686/fr/firefox-36.0.4.tar.bz2 from CDN caches → Please purge several 36.0.4 locations from CDN caches

Updated

3 years ago
Assignee: server-ops-webops → cliang
(Assignee)

Updated

3 years ago
Assignee: cliang → rwatson
(Assignee)

Comment 5

3 years ago
Have purged the CDN's. Waiting on replication and for them to actually do the job.

Comment 6

3 years ago
Even after issuing the purge, the redirect URL that lead to the file on the CDN was still producing 502 errors. [1] Poking at the load balancers, I saw that that Edgecast CDNs were often running into the protect-ftp rules by having too many concurrent connections open at once.  I  bumped up the limit to 20 connections per IP which seems to have been enough to clear up most of the issues. 


[1] cliang-07757:~ cliang$ curl -IL https://download.mozilla.org/\?product\=firefox-36.0.4-SSL\&os\=win\&lang\=en-ZA
HTTP/1.1 302 Found
Server: Apache
X-Backend-Server: bouncer3.webapp.scl3.mozilla.com
Cache-Control: max-age=60
Content-Type: text/html; charset=UTF-8
Date: Mon, 23 Mar 2015 16:17:58 GMT
Location: https://download-installer.cdn.mozilla.net/pub/firefox/releases/36.0.4/win32/en-ZA/Firefox%20Setup%2036.0.4.exe
Transfer-Encoding: chunked
Connection: Keep-Alive
Set-Cookie: dmo=50.165.9.144.1427127478285146; path=/; expires=Tue, 22-Mar-16 16:17:58 GMT
X-Cache-Info: caching

HTTP/1.1 200 OK
Accept-Ranges: bytes
Access-Control-Allow-Origin: *
Cache-Control: max-age=604800
Content-Type: application/octet-stream
Date: Mon, 23 Mar 2015 16:17:58 GMT
Etag: "4b2a85b-26fd2c0-511c7da47d40c"
Expires: Mon, 30 Mar 2015 16:17:58 GMT
Last-Modified: Sat, 21 Mar 2015 08:02:21 GMT
Server: ECAcc (mdw/12D9)
X-Backend-Server: ftp8.dmz.scl3.mozilla.com
X-Cache: HIT
X-Cache-Info: caching
Content-Length: 40882880
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Product: Infrastructure & Operations → Infrastructure & Operations Graveyard
You need to log in before you can comment on or make changes to this bug.